import request from '@/utils/request'

// 查询中段信息列表
export function listMiddle(query) {
  return request({
    url: '/system/middle/list',
    method: 'get',
    params: query
  })
}

// 查询中段信息详细
export function getMiddle(id) {
  return request({
    url: '/system/middle/' + id,
    method: 'get'
  })
}

// 新增中段信息
export function addMiddle(data) {
  return request({
    url: '/system/middle',
    method: 'post',
    data: data
  })
}

// 修改中段信息
export function updateMiddle(data) {
  return request({
    url: '/system/middle',
    method: 'put',
    data: data
  })
}

// 删除中段信息
export function delMiddle(id) {
  return request({
    url: '/system/middle/' + id,
    method: 'delete'
  })
}
